Bug 430410 - RFE: use zenity during rhgb to ask for password to cryptsetup disks
RFE: use zenity during rhgb to ask for password to cryptsetup disks
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-27 14:56 EST by Dr. Tilmann Bubeck
Modified: 2014-03-16 23:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-09 23:15:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to use zenity for asking passwords (1.18 KB, patch)
2008-01-27 14:56 EST, Dr. Tilmann Bubeck
no flags Details | Diff

  None (edit)
Description Dr. Tilmann Bubeck 2008-01-27 14:56:58 EST
Description of problem:
If a crypted disk is used then rc.sysinit must ask for a password. If rhbg is
used, this is done by quitting rhgb and switching to text mode which is quite ugly.
The attached patch uses zenity (if available) to ask for the password. Therefore
no switch to text mode is necessary and the rhbg could continue after the
password. The system looks "nice".
If zenity is not available (but it is in the default install) or no rhgb is
used, then the old code is used.

Version-Release number of selected component (if applicable):
initscripts-8.60-1

How reproducible:
Start FC8 with a crypted disk and watch rhbg being quit before asking the password.

Steps to Reproduce:
1. Boot FC8 with rhbg on and a crypted disk
2. Before asking the password, rhbg is quit.
3. The rest of the boot process is without rhbg and therefore "ugly"
  
Actual results:
rhgb quit.

Expected results:
Use rhgb all the time


Additional info:
Comment 1 Dr. Tilmann Bubeck 2008-01-27 14:56:58 EST
Created attachment 293083 [details]
Patch to use zenity for asking passwords
Comment 2 W. Michael Petullo 2008-09-09 21:10:57 EDT
For reference: Fedora 10+ will use Plymouth, so this patch is unnecessary in these newer versions.
Comment 3 Bill Nottingham 2008-09-09 23:15:10 EDT
Correct; we'll be using plymouth for this. So, WONTFIX with regards to this patch.

Note You need to log in before you can comment on or make changes to this bug.